aboutsummaryrefslogtreecommitdiffstats
path: root/unstable
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-21 14:21:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-21 14:21:34 +0000
commite71669a53443f7c57e6f6e2feb5c2b3a1b19b491 (patch)
treee47e97850d2194b6bb60c5e914e3902944407a3f /unstable
parent5a2b2bec0b4287370936cb5ce03c3c3df99be191 (diff)
downloadaports-e71669a53443f7c57e6f6e2feb5c2b3a1b19b491.tar.gz
aports-e71669a53443f7c57e6f6e2feb5c2b3a1b19b491.tar.bz2
aports-e71669a53443f7c57e6f6e2feb5c2b3a1b19b491.tar.xz
unstable/apcupsd: moved from testing.
it does not build currently
Diffstat (limited to 'unstable')
-rw-r--r--unstable/apcupsd/APKBUILD26
-rw-r--r--unstable/apcupsd/apcupsd.initd37
2 files changed, 63 insertions, 0 deletions
diff --git a/unstable/apcupsd/APKBUILD b/unstable/apcupsd/APKBUILD
new file mode 100644
index 0000000000..e0fdfdd7ee
--- /dev/null
+++ b/unstable/apcupsd/APKBUILD
@@ -0,0 +1,26 @@
+pkgname=apcupsd
+pkgver=3.14.6
+pkgrel=0
+pkgdesc="A Daemon to control APC UPSes"
+subpackages="$pkgname-doc"
+url="http://www.apcupsd.org"
+license="GPL-2"
+depends="util-linux-ng"
+makedepends=
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ apcupsd.initd
+ "
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-usb
+ make || return 1
+ make DESTDIR=$pkgdir install
+ install -D -m755 "$srcdir"/apcupsd.initd "$pkgdir"/etc/init.d/apcupsd
+}
+
+md5sums="7df2dbe325a6b1822763cbf6a9fa8263 apcupsd-3.14.6.tar.gz
+d276b567fd8dfb9e2a74e533b25de031 apcupsd.initd"
diff --git a/unstable/apcupsd/apcupsd.initd b/unstable/apcupsd/apcupsd.initd
new file mode 100644
index 0000000000..43868f75dd
--- /dev/null
+++ b/unstable/apcupsd/apcupsd.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-power/apcupsd/files/apcupsd.init.2,v 1.1 2009/01/15 15:21:11 flameeyes Exp $
+
+INSTANCE="${SVCNAME#*.}"
+if [ -z "${INSTANCE}" ] || [ "${SVCNAME}" = "apcupsd" ]; then
+ INSTANCE="apcupsd"
+fi
+
+depend() {
+ use net
+}
+
+start() {
+ rm -f /etc/apcupsd/powerfail
+
+ export SERVICE="${SVCNAME}"
+
+ ebegin "Starting APC UPS daemon"
+ start-stop-daemon \
+ --start --pidfile "/var/run/${SVCNAME}.pid" \
+ --exec /sbin/apcupsd -- \
+ -f "/etc/apcupsd/${INSTANCE}.conf" \
+ -P "/var/run/${SVCNAME}.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping APC UPS daemon"
+ start-stop-daemon \
+ --stop --pidfile "/var/run/${SVCNAME}.pid" \
+ --retry TERM/5/TERM/5 \
+ --exec /sbin/apcupsd
+ eend $?
+}
+